View Issue Details

IDProjectCategoryView StatusLast Update
0019264mantisbtbugtrackerpublic2015-04-28 03:38
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.0-beta.1 
Target Version1.3.0-beta.2Fixed in Version1.3.0-beta.2 
Summary0019264: Handling single category case
Description

When a project has only one option for category. There is no having "(select)" selected by default. We should select that category by default. We can even argue whether it is useful to show the field in the first place.

  • Showing - discoverability of the categories concept.
  • Not showing - if admin doesn't want to use categories, then simply they shouldn't add them and the category field won't show.
Tagsmantishub

Activities

vboctor

vboctor

2015-02-04 11:45

manager   ~0048787

Here is the pull request:
https://github.com/mantisbt/mantisbt/pull/575

Related Changesets

MantisBT: master 7629ad85

2015-02-04 11:28:13

vboctor

Details Diff
Handling single category case

If there is a single category and it is required to set the category
field, then auto-select such category.

Fixes 0019264
mod - core/print_api.php Diff File

Issue History

Date Modified Username Field Change
2015-01-25 13:58 vboctor New Issue
2015-02-04 11:20 vboctor Assigned To => vboctor
2015-02-04 11:20 vboctor Status new => assigned
2015-02-04 11:45 vboctor Note Added: 0048787
2015-02-04 11:54 vboctor Changeset attached => MantisBT master 7629ad85
2015-02-04 11:54 vboctor Status assigned => resolved
2015-02-04 11:54 vboctor Resolution open => fixed
2015-02-04 11:54 vboctor Fixed in Version => 1.3.0-beta.2
2015-02-05 17:24 atrol Target Version => 1.3.0-beta.2
2015-03-15 19:58 dregad Status resolved => closed
2015-04-28 03:38 vboctor Tag Attached: mantishub